const Blog = require('../models/blogschema')
const express = require('express');
const router = express.Router();


router.get('/multicontent', (req, res) =>{
    res.render('index', {message: null, error: null});
});


router.post('/aaa', async (req, res) => {
    try {
        const blog = new Blog({
            title: req.body.title,
            content: { name: req.body.name, url: req.body.url },
            category: req.body.category,
            slug: req.body.slug,
            thumbnail: { name: req.body.name1, url: req.body.url1 },
        });
        await blog.save();
        res.end("User data is saved successfully!");  
        } catch (err) {
        console.error('Error saving user data:', err);
        res.status(500).render('index', { error: 'Error saving user data' });
        }
});


module.exports = router;